Ask Your Question
0

Python 3 support in ROS Lunar Loggerhead?

asked 2017-05-16 23:27:16 -0600

John Nagle gravatar image

Do we finally get Python 3 support in Lunar Loggerhead?

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-05-17 01:30:29 -0600

gvdhoorn gravatar image

If I interpret REP-003 correctly, the Lunar section seems to say: Python 2.7 is default, but it'd be nice if your code works on 3.5 as well:

Python 3.5 not required, but testing against it is recommended

No hard guarantees apparently.

I know there has been quite some work getting all the core packages Python 3 compatible though.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

3 followers

Stats

Asked: 2017-05-16 23:27:16 -0600

Seen: 776 times

Last updated: May 17 '17